Package org.zeromq

# Enum Class ZMQ.Error

java.lang.Object
java.lang.Enum<ZMQ.Error>
org.zeromq.ZMQ.Error

All Implemented Interfaces:
  `Serializable`, `Comparable<ZMQ.Error>`, `Constable`

Enclosing class:
  `ZMQ`

public static enum ZMQ.Error extends Enum<ZMQ.Error>
Inner class: Error.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EADDRINUSE`
`EADDRNOTAVAIL`
`ECONNREFUSED`
`EFSM`
`EHOSTUNREACH`
`EINPROGRESS`
`EMTHREAD`
`ENETDOWN`
`ENOBUFS`
`ENOCOMPATPROTO`
`ENOTSOCK`
`ENOTSUP`
`EPROTONOSUPPORT`
`ETERM`

## Method Summary

Modifier and Type
Method
Description
`static ZMQ.Error`
`findByCode(int code)`
`long`
`getCode()`
`static ZMQ.Error`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ZMQ.Error[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ENOTSUP

public static final ZMQ.Error ENOTSUP

### EPROTONOSUPPORT

public static final ZMQ.Error EPROTONOSUPPORT

### ENOBUFS

public static final ZMQ.Error ENOBUFS

### ENETDOWN

public static final ZMQ.Error ENETDOWN

### EADDRINUSE

public static final ZMQ.Error EADDRINUSE

### EADDRNOTAVAIL

public static final ZMQ.Error EADDRNOTAVAIL

### ECONNREFUSED

public static final ZMQ.Error ECONNREFUSED

### EINPROGRESS

public static final ZMQ.Error EINPROGRESS

### EHOSTUNREACH

public static final ZMQ.Error EHOSTUNREACH

### EMTHREAD

public static final ZMQ.Error EMTHREAD

### EFSM

public static final ZMQ.Error EFSM

### ENOCOMPATPROTO

public static final ZMQ.Error ENOCOMPATPROTO

### ETERM

public static final ZMQ.Error ETERM

### ENOTSOCK

public static final ZMQ.Error ENOTSOCK

## Method Details

### values

public static ZMQ.Error[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ZMQ.Error valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getCode

public long getCode()

### findByCode

public static ZMQ.Error findByCode(int code)